Update a package policy
- Base URL
-
https://{kibana_url}
- PUT /api/fleet/package_policies/{packagePolicyId}
Update a package policy by ID.
Request body
Responses
Successful response
-
itemobjectrequired -
additional_datastreams_permissionsstring · max items: 1000nullable -
Additional data stream permissions that will be added to the agent policy.
-
cloud_connector_namestring · min length: 1 · max length: 255nullable -
Transient field for cloud connector name during creation.
-
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this integration to its inputs.
-
The name of the custom field. Cannot contain spaces.
-
The value of the custom field.
-
namespacestring · max length: 100 -
The package policy namespace. Leave blank to inherit the agent policy's namespace.
-
overridesobjectnullable -
Override settings that are defined in the package policy. The override option should be used only in unusual circumstances and not as a routine procedure.
-
policy_idstringnullable deprecated -
ID of the agent policy which the package policy will be added to.
-
supports_agentlessbooleannullable -
Indicates whether the package policy belongs to an agentless agent policy.
-
supports_cloud_connectorbooleannullable -
Indicates whether the package policy supports cloud connectors.
-
var_group_selectionsmap string to string -
Variable group selections. Maps var_group name to the selected option name within that group.
-
<string>string · max length: 1024
Bad Request